Skip to content
Browse files

add special requires for ActiveSupport::Inflector so you can load it …

…individually
  • Loading branch information...
1 parent 7fc628e commit aec3c7aa72c89e37edae4d14ac98d7a6de4a195c @technoweenie technoweenie committed Jun 27, 2008
Showing with 5 additions and 0 deletions.
  1. +5 −0 activesupport/lib/active_support/inflector.rb
View
5 activesupport/lib/active_support/inflector.rb
@@ -307,4 +307,9 @@ def ordinalize(number)
end
end
+# in case active_support/inflector is required without the rest of active_support
require 'active_support/inflections'
+require 'active_support/core_ext/string/inflections'
+unless String.included_modules.include?(ActiveSupport::CoreExtensions::String::Inflections)
+ String.send :include, ActiveSupport::CoreExtensions::String::Inflections
+end

0 comments on commit aec3c7a

Please sign in to comment.
Something went wrong with that request. Please try again.